.header-top {
    margin-top: 3rem;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 6rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

@media (min-width: 992px) { 
    .header-top {
        justify-content: center; 
    }
}

.header-top > .col-2 {
    display: flex !important;
    align-items: center;
    justify-content: center;
    flex: 1;
}

.header-top > .col-2 .navbar-toggler {
    margin-left: auto; 
}

nav.menu-menu-container ul {
    flex-direction: column;
    gap: 16px;
    padding-left: 0;
}

nav.menu-menu-container a {
    color: black;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 1.2rem;
    font-weight: 600;
}

.col-2.d-flex.align-items-center {
    justify-content: center;
}
.d-lg-flex {
        justify-content: flex-end;
    }

.col-3.d-flex.justify-content-flex-end.align-items-center.d-none.d-lg-flex {
    gap: 28px;
}




#preloader {
  position: fixed;
  z-index: 9999;
  inset: 0;
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: clip-path 1s cubic-bezier(.77,0,.18,1), opacity 0.5s;
  clip-path: inset(0 0 0 0);
  opacity: 1;
  width: 100vw;
  height: 100vh;
}

#preloader.preloader-hide {
  clip-path: inset(0 0 100% 0);
  opacity: 0;
  transition: clip-path 1.5s cubic-bezier(.77,0,.18,1), opacity 0.5s 0.8s;
  pointer-events: none;
}

#preloader img {
  animation: pulse 1.5s infinite ease-in-out;
  max-height: 100px;
  width: 100vw;
}

@keyframes pulse {
  0%, 100% {
    transform: scale(1);
  }
  50% {
    transform: scale(0.97);
  }
}




@media (max-width: 1024px) {
.header-top {
    flex-direction: column;
}
.header-top > .col-2 {
    width: 100%;
}
.header-top .col-2 {
    justify-content: space-between;
}


.header-top {
    display: flex;
    flex-direction: column;
}
.header-top .col-2 {
    width: 100%;
}
.header-top img {
    width: 70%;
}
.header-top .navbar-toggler-icon {
    width: 2.5rem;
    height: 2.5rem;
    margin-top: -1rem;
}
ul.nav.flex-column.mb-3 a {
    color: black;
    text-decoration: none;
    font-size: 4.4rem;
    text-transform: lowercase;
    line-height: 150%;
    font-family: 'EditorCondensed';
    font-style: italic;
}
.offcanvas-body {
    padding: 4rem;
    justify-content: space-between;
}
.offcanvas-body .mt-auto {
    margin-top: 0px;
}
.offcanvas-body .border-top {
    border-top: 0px;
}
.offcanvas-body .btn {
    border: 2px solid black;
    border-radius: 50px;
    font-family: montserrat;
    font-size: 1.2rem;
    text-transform: uppercase;
    margin: 0px;
    transition: 0.3s;
}
.offcanvas-body .pt-3 {
    padding-top: 1rem !important;
    display: flex;
    align-items: center;
    align-content: center;
    gap: 32px;
}
.offcanvas-body .mb-3 {
    margin-bottom: 0px;
}
button.btn-close.text-reset {
    transform: scale(2);
    color: black;
    padding: 2rem;
}
.header-top > .col-2 {
    justify-content: space-between;
}

.pt-3 .btn:before {
    height: 0px;
}
.offcanvas-body .btn:hover {
    background-color: black;
    color: white;
    transition: 0.3s;
}



}




/* Opcjonalnie na desktop można przywrócić flex-row */
@media (min-width: 992px) {
    nav.menu-menu-container ul {
        display: flex;
        flex-direction: row;
        gap: 24px;
        justify-content: space-evenly;
        padding-left: initial;
    }
}


@media only screen and (max-width: 800px) {
    .header-top {
    display: flex;
    flex-direction: column;
}
.header-top .col-2 {
    width: 100%;
}
.header-top img {
    width: 70%;
}
.header-top .navbar-toggler-icon {
    width: 2.5rem;
    height: 2.5rem;
    margin-top: -1rem;
}
ul.nav.flex-column.mb-3 a {
    color: black;
    text-decoration: none;
    font-size: 4.4rem;
    text-transform: lowercase;
    line-height: 150%;
    font-family: 'EditorCondensed';
    font-style: italic;
}
.offcanvas-body {
    padding: 4rem;
    justify-content: space-between;
}
.offcanvas-body .mt-auto {
    margin-top: 0px;
}
.offcanvas-body .border-top {
    border-top: 0px;
}
.offcanvas-body .btn {
    border: 2px solid black;
    border-radius: 50px;
    font-family: montserrat;
    font-size: 1.2rem;
    text-transform: uppercase;
    margin: 0px;
}
.offcanvas-body .pt-3 {
    padding-top: 1rem !important;
    display: flex;
    align-items: center;
    align-content: center;
    gap: 32px;
}
.offcanvas-body .mb-3 {
    margin-bottom: 0px;
}
button.btn-close.text-reset {
    transform: scale(2);
    color: black;
    padding: 2rem;
}
.header-top > .col-2 {
    justify-content: space-between;
}
}